"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var nativescript_vue_1 = __importDefault(require("nativescript-vue"));
exports["default"] = nativescript_vue_1["default"].extend({
    name: 'p',
    props: {
        layoutStyle: {
            type: Object,
            "default": {}
        },
        display: {
            type: String,
            "default": 'block'
        },
        trim: {
            type: Boolean,
            "default": true
        }
    },
    computed: {
        currentDisplayName: function () {
            var currentDisplayName = 'block';
            if (this.layout && this.layout.display) {
                currentDisplayName = this.layout.display;
            }
            return currentDisplayName;
        }
    },
    render: function (h) {
        var renders = {
            inline: h('span', this.$slots["default"]),
            block: h('div', {
                props: this.display
            }, [h('span', this.$slots["default"])])
        };
        if (this.currentDisplayName) {
            return renders[this.currentDisplayName];
        }
        return renders.block;
    }
});
